<?php
namespace Teknisa\DF\Controllers;

use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DTO\Request\Row;
use Teknisa\DF\Services\ArquivosService;

/**
 * Class ArquivosController
 * @package Teknisa\DF\Controllers
 */
class ArquivosController {

    /**
     * @param ArquivosService $arquivosService
     */
    public function __construct(ArquivosService $arquivosService) {
        $this->arquivosService  = $arquivosService;
    }

    /**
     * Download Arquivo
     * @param Row $dataset
     * @param Response $response
     */
    public function downloadArquivo(Row $dataset, Response $response) {
        try {
            // Dados do Registro
            $row = $dataset->getRow();
            // Arquivo para Download [Nome + Extensão]
            $arquivo = $row['DSARQUIVO'];

            // Download Arquivo
            $this->arquivosService->downloadArquivo($arquivo);

        } catch (\Exception $e) {
            $response->setError(new Response\Error($e->getMessage(), $e->getCode()));
        }
    }
}